/**
 * @project 
 * @authors shilu
 * @date    2016-07-06 11:41:06
 */
var _staticHost = "images/";
var _handleObj = null;
var article = {
	event : function(){
		var _THIS = this;
		if($('#article-container').length>0){
			// if($('.article').length>0){
			// 	this.uploadArticle();
			// }
			this.fontSizeSwitch = true;
			this.videoPlay();
			// this.pictureProcessing();
			this.commentNativeBridgeFunc();
			this.morePeplyFunc();
			this.commentHandleFunc();
			// this.clickImgSlideFunc();
			this.zanFunc();
			this.heartFunc();			
			this.weiboShare();
			this.timeLineShare();
			this.moreShare();
			this.suggestedReading();
			this.zanCommentFunc();
			this.playArticle();
			this.advertBridge();
			this.keywordsBridge();
			this.governBridge();
			this.eventBridge();
			this.attentionBridge();
			this.trackBridge();
			// this.uploadCommentBridge(); 		//加载更多最新评论功能
			this.clickUserBridge();
			// this.changeFontSizeBridge();
			this.radioFunc();
			this.voteBridge();
			this.packetBridge();
			// if($('.J-article-advert').length > 0){
			// 	this.advert = {};
			// 	$('.J-article-advert').each(function(){
			// 		var _id = JSON.parse($(this).attr('data-json')).id;
			// 		_THIS.advert[_id] = [];
			// 	});
			// 	this.advertScrollMonitor();
			// }
		}
	},
	/**
	 * [uploadArticle 加载文章详情]
	 * @return {[type]} [description]
	 */
	uploadArticle : function(data){
		var _THIS = this;

		var _content = data.split('[&this_is_split&]');
		data = _content[0];
		if(typeof data == 'string'){
			data = eval('(' + data + ')');
			// data = data.parseJSON();
			// data = JSON.parse(data);
		}
		if(data.result.errorCode == 0){
			// _handleObj.articleId=data.data.id;
			var _wrapper = $('.article-container');
			_wrapper.find('.header').remove();
			if(data.data.is_night == 1){
				_wrapper.addClass("night-mode-container");
			}
			$(document.body).css("visibility","visible");
			// 头部
			// if(data.data.short_title){			
				// _wrapper.find('.sho-title').html(data.data.short_title);
			// }
			var _headerHtml = '<div class="header">'+
								'<h2 class="sho-title">'+data.data.short_title+'</h2>'+
								'<h1 class="title">'+data.data.title_inner+'</h1>'+
								'<h2 class="sub-title">'+data.data.title_down+'</h2>'+
								'<table class="info">'+
									'<tr>';
			if(data.data.audio == 1){
				_headerHtml += '<td style="width: 40px;">'+
									'<a href="javascript:;" class="sound J-sound" alt="朗读全文"></a>'+
								'</td>';
			}

			_headerHtml += '<td>'+
								'<span><em class="time">'+data.data.news_datetime+'</em><em class="source">'+data.data.copyfrom+'</em><em class="author">'+data.data.authors+'</em></span>';
			if(data.data.read_count_show == 1){
				// _headerHtml += '<span class="time clearfix">'+data.data.news_datetime+'<em>阅读量：'+data.data.read_count+'</em></span>';	
				_headerHtml += '<span class="amount">阅读量：'+data.data.read_count+'</span>';				
			}
			_headerHtml += '</td>'+
							'</tr>'+
						'</table>';
						'</div>';
			_wrapper.prepend(_headerHtml);

			var _header = _wrapper.find('.header');
			// 导语
			if(data.data.guidance != ''){	
				$(".introduction").remove();		
				_header.after('<div class="introduction" style="visibility: hidden;"><em>导语：</em><span>'+data.data.guidance+'</span></div>');
			}
			// 内容
			_THIS.resetArticle(_content[1]);
			console.log('uploadArticleCallback');
		}
	},
	/**
	 * [uploadArticle 重置文章详情]
	 * @return {[type]} [description]
	 */
	resetArticle : function(content){
		var _THIS = this;
		function html_decode(str){
            var s = "";
            if (str.length == 0)
                return "";
            s = str.replace(/&gt;/g, ">");
            s = s.replace(/&lt;/g, "<");
            s = s.replace(/&nbsp;/g, " ");
            s = s.replace(/&#39;/g, "\'");
            s = s.replace(/&quot;/g, "\"");
            s = s.replace(/<br>/g, "\n");
            return s;
        }

		var _articleContent = html_decode(content);
		$('.article').html(this.imgSrcToEcho(_articleContent));
		if(this.fontSizeSwitch){
			this.changeFontSizeBridge();
			// this.fontSizeSwitch = false;
		}

		if($('.article iframe').length>0){
	        $('.article iframe').each(function(){
	          var _src = $(this).attr('src');
	          // 仅支持腾讯视频、优酷视频
	          if(_src.indexOf('v.qq.com') > 0 || _src.indexOf('player.youku.com') > 0) {
	            var div = document.createElement('div');
	            div.className = "video-container";
	            $(this).prepend(div).wrap(div);
	          }
	        });
		}

    	if($('.article video').length>0){
	        $('.article video').each(function(){
	          var _src = $(this).attr('src');
	          var _poster = $(this).attr('poster');
	          var _videoHTML = '<img src="'+_poster+'" data-video-url="'+_src+'"/>';
	          $(this).before(_videoHTML).remove();
	        });
    	}
    	setTimeout(function(){
    		_THIS.pictureProcessing();
			_THIS.clickImgSlideFunc();
    	},100);
    	// _THIS.uploadArticleModule();
	},
	/**
	 * [uploadArticleModule 加载文章正文一下的模块儿]
	 * @return {[type]} [description]
	 */
	uploadArticleModule : function(data){
		var _THIS = this;

		if(typeof data == 'string'){
			data = eval('(' + data + ')');
			// data = data.parseJSON();
			// data = JSON.parse(data);
		}
		if(data.result.errorCode == 0){
			var _HTML = '';
			// 投票
			if(data.data.questionChoices.length > 0){
				_HTML += '<div class="article-list">'+
							'<p class="article-class-title">用户调研</p>'+
							'<dl class="user-survey clearfix J-radio-parent">'+
								'<dt class="user-survey-title">'+data.data.vote_name+'</dt>';
				if(data.data.isCommit == 0){	//是否投票了  0是没投票 1是投票了
					for(var i = 0; i < data.data.questionChoices.length; i++){
						_HTML += '<dd class="user-survey-list"><a href="javascript:;" class="J-radio-lable" data-id="'+data.data.questionChoices[i].id+'"><em class="radio-btn"></em><span class="user-survey-text">'+data.data.questionChoices[i].choose_name+'</span></a></dd>';
					}				
					_HTML += '<dd class="user-survey-list"><button class="user-vote-btn J-vote-btn" data-id="">投票</button></dd>'+
							'</dl>'+
						'</div>';
				}else if(data.data.isCommit == 1){
					for(var i = 0; i < data.data.questionChoices.length; i++){
						_HTML += '<dd class="user-survey-list">'+
									'<span class="user-survey-title">'+data.data.questionChoices[i].choose_name+'</span>'+
									'<span class="user-survey-result">'+
										'<em style="width:'+data.data.questionChoices[i].percent+';"></em>'+
										'<i class="user-survey-num">'+data.data.questionChoices[i].percent+'</i>'+
									'</span>'+
								'</dd>';
					}			
					_HTML += '</dl>'+
						'</div>';
				}
			}			
			// 帮/赞
			_HTML += '<div class="new-handle-warapper">';
			if(data.data.show_help == 0){	//0 显示爱心和帮助说明  1显示赞    用于区分是不是帮的新闻
				_HTML += '<div class="article-handle-wrapper clearfix">'+
							'<dl class="help-state">'+
								'<dt class="help-title">'+data.data.help_end_text+'</dt>'+
								'<dd class="help-text">'+data.data.help_status+'</dd>'+
							'</dl>'+
						'</div>'+
						'<div class="article-handle-wrapper clearfix">'+
							'<p class="article-class-title">帮扩散</p>';
			}else if(data.data.show_help == 1){
				_HTML += '<div class="article-handle-wrapper clearfix">';
			}
			_HTML += '<div class="wenzheng-share-wrapper">'+
							'<a href="javascript:;" class="article-zan J-more-share">'+
								'<em></em>'+
								'<span>微信好友</span>'+
							'</a>'+
							'<a href="javascript:;" class="article-zan J-wxTimeline-share">'+
								'<em></em>'+
								'<span>微信朋友圈</span>'+
							'</a>'+
							'<a href="javascript:;" class="article-zan J-weibo-share">'+
								'<em></em>'+
								'<span>新浪微博</span>'+
							'</a>'+
						'</div>';
			if(data.data.show_help == 0){	//0 显示爱心和帮助说明  1显示赞    用于区分是不是帮的新闻
				if(data.data.is_help == 1){		//是否点帮 1 未点帮 2点帮
					if(data.data.help_end_text == "筹集中"){
						_HTML += '<a href="javascript:;" class="article-zan article-help-zan J-heart">';
					}else{
						_HTML += '<a href="javascript:;" class="article-zan article-help-zan finish-help-zan">';
					}
				}else if(data.data.is_help == 2){
					if(data.data.help_end_text == "筹集中"){
						_HTML += '<a href="javascript:;" class="article-zan article-help-zan J-heart zaned">';
					}else{
						_HTML += '<a href="javascript:;" class="article-zan article-help-zan finish-help-zan zaned">';
					}
				}
				_HTML += '<em></em>'+
						'<span>'+data.data.love_num+'</span>'+
					'</a>';
			}else if(data.data.show_help == 1){
				if(data.data.is_like == 1){		//是否点赞 1 未点赞 2点赞
					_HTML += '<a href="javascript:;" class="article-zan J-zan">';
				}else if(data.data.is_like == 2){
					_HTML += '<a href="javascript:;" class="article-zan zaned J-zan">';
				}
				_HTML += '<em></em>'+
						'<span>'+data.data.likes_count+'</span>'+
					'</a>';
			}
			_HTML += '</div>'+
					'</div>';
			// 关键词 
			if(data.data.keywords.length > 0){
				_HTML += '<dl class="article-list">'+
							'<dt class="article-class-title">关键词</dt>'+
							'<dd class="keywords-wrapper clearfix">';
				for(var i = 0; i < data.data.keywords.length; i++){
					_HTML += '<em class="keywords-list" data-word="'+data.data.keywords[i]+'">'+data.data.keywords[i]+'</em>';
				}	
				_HTML += '</dd>'+
						'</dl>';
			}
			// 政务
			if(data.data.gov.length > 0){
				_HTML += '<dl class="article-list">'+
							'<dt class="article-class-title">政务关注</dt>'+
							'<dd class="event-wrapper clearfix J-govern-btn" data-id="'+data.data.gov[0].id+'" data-title="'+data.data.gov[0].name+'">'+
								'<span class="govern-left">'+
									'<img src="'+data.data.gov[0].logo+'"/>'+
								'</span>'+
								'<span class="govern-right">'+
									'<span class="event-title">'+data.data.gov[0].name+'</span>'+
									'<span class="event-text">关注数：'+data.data.gov[0].subscribe_num+'</span>'+
								'</span>';
				if(data.data.gov[0].is_gov == 1){	//1未关注 2 已关注
					_HTML += '<em class="event-target J-attention" data-id="'+data.data.gov[0].id+'">关注</em>';
				}else if(data.data.gov[0].is_gov == 2){
					_HTML += '<em class="event-target" data-id="'+data.data.gov[0].id+'">已关注</em>';
				}			
				_HTML += '</dd>'+
						'</dl>';
			}
			// 事件追踪
			if(data.data.event.length > 0){
				_HTML += '<dl class="article-list">'+
							'<dt class="article-class-title">事件追踪</dt>'+
							'<dd class="event-wrapper J-event-btn" data-id="'+data.data.event[0].id+'" data-title="'+data.data.event[0].name+'">'+
								'<span class="event-title">'+data.data.event[0].name+'</span>'+
								'<span class="event-text">'+data.data.event[0].datetime+'，'+data.data.event[0].show_title+'</span>';								
				if(data.data.event[0].is_event == 1){	//1 未追踪 2 已追踪
					_HTML += '<em class="event-target J-track" data-id="'+data.data.event[0].id+'">追踪</em>';
				}else if(data.data.event[0].is_event == 2){
					_HTML += '<em class="event-target" data-id="'+data.data.event[0].id+'">已追踪</em>';
				}
				_HTML += '</dd>'+
						'</dl>';
			}
			// 推荐阅读
			if(data.data.extended_reading.length > 0){
				_HTML += '<dl class="article-list">'+
							'<dt class="article-class-title">推荐阅读</dt>'+
							'<dd class="reading-wrapper">';
				for(var i = 0; i < data.data.extended_reading.length; i++){
					_HTML += '<a href="javascript:;" data-json=\' '+ JSON.stringify(data.data.extended_reading[i]) +' \'>'+ data.data.extended_reading[i].title +'</a>';
				}
				_HTML += '</dd>'+
						'</dl>';
			}
			// 广告
			if(data.data.adv.length == 0 && data.data.packet.length == 0){
				_HTML += '<a href="javascript:;" class="article-advert"></a>';
			}
			if(data.data.adv.length > 0){
				for(var i = 0; i < data.data.adv.length; i++){
					_HTML += '<a href="javascript:;" class="article-advert J-article-advert" data-json=\' '+ JSON.stringify(data.data.adv[i]) +' \'>'+
							'<img src="'+data.data.adv[i].images[0].image+'">'+
							'<i>广告</i>'+
						'</a>';
				}
			}
			// 红包
			if(data.data.packet.length > 0){
				// for(var i = 0; i < data.data.packet.length; i++){
					_HTML += '<a href="javascript:;" class="article-advert J-article-packet">'+
							'<img src="'+data.data.packet[0].activity_image+'">'+
						'</a>';
				// }
			}
			$(".article").after(_HTML);

			_THIS.advert = {};
			$('.J-article-advert').each(function(){
				var _id = JSON.parse($(this).attr('data-json')).id;
				_THIS.advert[_id] = [];
			});
			_THIS.advertScrollMonitor();

			console.log("uploadArticleModuleCallback");		
		}
	},
	videoPlay : function(){
		$(document).delegate('.play-box','click',function(){
			if($(this).find('[data-video-url]').length>0){
				if(typeof nativeBridge == "undefined") return false;
				var toNativeData = {
					methodName: "nativeBridgeCallback['videoPlayCallback']",
					video_url: $(this).find('[data-video-url]').attr('data-video-url')
				};
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['videoPlay'](toNativeData);
			}
		});
	},
	/**
	 * [pictureProcessing 图片加载方式]
	 * @return {[type]} [description]
	 */
	pictureProcessing : function(){
		if( Config.wifi ) {			//wifi
			if($('[data-echo]').length > 0) {
		      $('[data-echo]').picLazyLoad();
		    }
		}else {
			$('.article [data-echo]').each(function(){
				var div = document.createElement('div');
				div.className = "article-default-container";

				$(this).prepend(div).wrap(div);

				var span = document.createElement('span');
				span.innerHTML = "点击加载查看原图";

				$(this).parent().append(span);
		    });

			$(document).delegate('.article-default-container span','click',function(){
				var $selfImg = $(this).siblings('img');
				$selfImg.attr('src',$selfImg.attr('data-echo'));
                $selfImg.removeAttr('data-echo');
                $(this).remove();
			});
		}
	},
	/**
	 * [commentNativeBridgeFunc 点击回复桥接]
	 * @return {[type]} [description]
	 */
	commentNativeBridgeFunc : function(){
		var _THIS = this;
		$(document).delegate('.J-comment','click',function(e){
			e.stopPropagation(); 
			e.preventDefault();
			_handleObj = $(this);
			if(typeof nativeBridge == "undefined") return false;
		    var toNativeData = {
				methodName: "nativeBridgeCallback['replyCallback']",
				repUserName : $(this).attr('data-userName'),
				commentId : $(this).attr('data-id'),
				replayCommentId : $(this).attr('data-replayCommentId'),	//回复的评论id
				replyUserId : $(this).attr('data-replyUserId'),	//回复评论的用户id
				replyFloor : $(this).attr('data-replyFloor')	 //回复的楼层

			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['reply'](toNativeData);
		});
	},
	/**
	 * [morePeplyFunc 点击查看更多评论]
	 * @return {[type]} [description]
	 */
	morePeplyFunc : function(){
		var THIS = this;
		$(document).delegate('.J-reply-more','click',function(){
			$(this).siblings('.c-hide').removeClass('c-hide');		
			$(this).remove();
			THIS.liveShowHideComment();

			// var toNativeData = {};
			// toNativeData = JSON.stringify(toNativeData);
			// nativeBridge['changeWindowHeight'](toNativeData);
		});
	},
	/**
	 * [commentHandleFunc 评论的展开收缩操作]
	 * @return {[type]} [description]
	 */
	commentHandleFunc : function(){
		var _THIS = this;
		$(document).delegate('.J-show-comment','click',function(){
			$(this).parents('.J-comment-handle').toggleClass('comment-long').toggleClass('comment-show').removeClass('comment-short');

			// var toNativeData = {};
			// toNativeData = JSON.stringify(toNativeData);
			// nativeBridge['changeWindowHeight'](toNativeData);
		});
	},
	/**
	 * [liveShowHideComment 评论的展开收缩操作]
	 * @return {[type]} [description]
	 */
	liveShowHideComment: function(){
		$('.J-comment-text').not('.comment-long').not('.comment-show').not('.comment-short').each(function(){
			var _height = $(this).height();
			if(_height < 168){
				$(this).parents('.J-comment-handle').addClass('comment-short');
			}else{
				$(this).parents('.J-comment-handle').addClass('comment-long');
			}
		});
	},
	/**
	 * [zanFunc 文章点赞]
	 * @return {[type]} [description]
	 */
	zanFunc : function(){
		var _THIS = this;
		$(document).delegate('.J-zan','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			_handleObj = $(this);
			if(!_handleObj.hasClass('zaned')) {
				var toNativeData = {
					methodName: "nativeBridgeCallback['zanCallback']",
					likes_count: $(this).find('span').html()
				}
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['zan'](toNativeData);
			}
		});
	},
	/**
	 * [heartFunc 文章点爱心]
	 * @return {[type]} [description]
	 */
	heartFunc : function(){
		var _THIS = this;
		$(document).delegate('.J-heart','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			_handleObj = $(this);
			if(!_handleObj.hasClass('zaned')) {
				var toNativeData = {
					methodName: "nativeBridgeCallback['heartCallback']",
					likes_count: $(this).find('span').html()
				}
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['heart'](toNativeData);
			}
		});
	},	
	/**
	 * [weiboShare 微博分享]
	 * @return {[type]} [description]
	 */
	weiboShare : function(){
		$(document).delegate('.J-weibo-share','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['weiboShareCallback']"
			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['weiboShare'](toNativeData);
		});
	},
	/**
	 * [timeLineShare 微信朋友圈分享]
	 * @return {[type]} [description]
	 */
	timeLineShare : function(){
		$(document).delegate('.J-wxTimeline-share','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['timeLineShareCallback']"
			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['timeLineShare'](toNativeData);
		});
	},
	/**
	 * [weixinShare 更多分享]
	 * @return {[type]} [description]
	 */
	moreShare : function(){
		$(document).delegate('.J-more-share','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['moreShareCallback']"
			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['moreShare'](toNativeData);
		});
	},
	/**
	 * [suggestedReading 推荐阅读]
	 * @return {[type]} [description]
	 */
	suggestedReading : function(){	
		var _THIS = this;	
		$(document).delegate('.reading-wrapper a','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['suggestedReadingCallback']",
				data: JSON.parse($(this).attr('data-json'))
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['suggestedReading'](toNativeData);
		});
	},
	/**
	 * [zanFunc 评论点赞]
	 * @return {[type]} [description]
	 */
	zanCommentFunc : function(){
		var _THIS = this;
		$(document).delegate('.J-comment-zan','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			_handleObj = $(this);
			if(!_handleObj.hasClass('zaned')) {
				var toNativeData = {
					methodName: "nativeBridgeCallback['zanCommentCallback']",
 					commentId: _handleObj.attr('data-id'),
					likes_count: $(this).find('span').html()
				}
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['zanComment'](toNativeData);
			}
		});
	},
	/**
	 * [playArticle 朗读全文]
	 * @return {[type]} [description]
	 */
	playArticle : function(){
		var _THIS = this;
		$(document).delegate('.J-sound','click',function(){
			if(typeof nativeBridge == "undefined") return false;
			var _content = $('.header .title').text()+"。";
			if($('.introduction').length>0){
				_content += $('.introduction').text()+"。";
			}
			if($('.article').text() != ""){
				_content += $('.article').text();
			}
			var toNativeData = {
				methodName: "nativeBridgeCallback['playArticleCallback']",
				content: _content
			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['playArticle'](toNativeData);
		});
	},
	/**
	 * [clickImgSlideFunc 点击图片轮播]
	 * @return {[type]} [description]
	 */
	clickImgSlideFunc : function(){
		_handleObj = this;
		$('.article img').not('[data-video-url]').not('data-echo').click(function(){
			if(typeof nativeBridge == "undefined") return false;
			var _src = $(this).attr('src');
			var _imgArr = [];
			var _len = $('.article img').length;
			for(var i = 0;i<_len;i++){
				if(!$('.article img').eq(i).attr('data-video-url')){
					if($('.article img').eq(i).attr('data-echo')){
						_imgArr.push($('.article img').eq(i).attr('data-echo'));
					}else{
						_imgArr.push($('.article img').eq(i).attr('src'));
					}
				}
			};			
			for(var m = 0;m<_imgArr.length;m++){
				if(_src==_imgArr[m]){
					var _index = m+1;
					break;
				}
			};
			var toNativeData = {
				methodName: "nativeBridgeCallback['clickImgSlideCallback']",
				imgIndex: _index,
				imgArr: _imgArr,
				position: $(this).offset().top-$(window).scrollTop(),
				width: $(this).width(),
				height: $(this).height()
			};
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['clickImgSlide'](toNativeData);
		});
	},
	/**
	 * [advertBridge 点击广告桥接]
	 * @return {[type]} [description]
	 */
	advertBridge: function(){
		$(document).delegate('.J-article-advert','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['advertCallback']",
				adverData: JSON.parse($(this).attr('data-json'))
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['advert'](toNativeData);
		});
	},
	/**
	 * [keywordsBridge 点击关键词桥接]
	 * @return {[type]} [description]
	 */
	keywordsBridge: function(){
		$(document).delegate('.keywords-list','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['keywordsCallback']",
				key: $(this).attr('data-word')
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['keywords'](toNativeData);
		});
	},
	/**
	 * [governBridge 点击关注桥接]
	 * @return {[type]} [description]
	 */
	governBridge: function(){
		$(document).delegate('.J-govern-btn','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['governCallback']",
				_id: $(this).attr('data-id'),
				title: $(this).attr('data-title')
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['govern'](toNativeData);
		});
	},
	/**
	 * [eventBridge 点击追踪桥接]
	 * @return {[type]} [description]
	 */
	eventBridge: function(){
		$(document).delegate('.J-event-btn','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['eventCallback']",
				_id: $(this).attr('data-id'),
				title: $(this).attr('data-title')
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['event'](toNativeData);
		});
	},
	/**
	 * [attentionBridge 点击关注操作桥接]
	 * @return {[type]} [description]
	 */
	attentionBridge: function(){
		$(document).delegate('.J-attention','click', function(e){
			e.stopPropagation(); 
			e.preventDefault();
			if(typeof nativeBridge == "undefined") return false;
			_handleObj = $(this);
			if($(this).text()=="关注"){
				var toNativeData = {
					methodName: "nativeBridgeCallback['attentionCallback']",
					_id: $(this).attr('data-id')
				}
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['attention'](toNativeData);
			}
		});
	},
	/**
	 * [trackBridge 点击追踪操作桥接]
	 * @return {[type]} [description]
	 */
	trackBridge: function(){
		$(document).delegate('.J-track','click', function(e){
			e.stopPropagation(); 
			e.preventDefault();
			if(typeof nativeBridge == "undefined") return false;
			_handleObj = $(this);
			if($(this).text()=="追踪"){
				var toNativeData = {
					methodName: "nativeBridgeCallback['trackCallback']",
					_id: $(this).attr('data-id')
				}
				console.log(toNativeData);
				toNativeData = JSON.stringify(toNativeData);
				nativeBridge['track'](toNativeData);
			}
		});
	},
	clickUserBridge : function() {
	 	$(document).delegate('.J-user-btn','click', function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['userCallback']",
				userId: $(this).attr('data-userId')
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['user'](toNativeData);
		});
	},
	/**
	 * [changeFontSizeBridge 字体大小]
	 * @return {[type]} [description]
	 */
	changeFontSizeBridge : function() {
		if(typeof nativeBridge == "undefined") {
			$(".introduction,.article").css("visibility","visible");
		}else{
			var toNativeData = {
				methodName: "nativeBridgeCallback['changeFontSizeCallback']"
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['changeFontSize'](toNativeData);
		}
	},
	/**
	 * [imgSrcToEcho 替换str中的src为 data-echo]
	 * @param  {[string]} str [需要替换的字符串]
	 * @return {[string]}     [返回替换的字符串]
	 */
	imgSrcToEcho : function(str){
	    var getImgReg = /<img [^>]*src=['"]([^'"]+)[^>]*>/gi,
	    reEchoReg = /src=\"\S{1,}\"/gi;
	    return str.replace(getImgReg, function (match, capture) {
	        // return match.replace(reEchoReg, 'src="'+ _staticHost +'default.png" data-echo="'+ capture +'?imageView2/2/w/640/h/1000"');
	        return match.replace(reEchoReg, 'src="'+ _staticHost +'default.png" data-echo="'+ capture+'" ');
	    });
	},	
	/**
	 * [changeFontSize 改变字体大小]
	 * @return {[type]} [description]
	 */
	changeFontSize :function(size){
		// $('.article').css('font-size', size+'px' );
		// var size = 30;
		$('.article,.introduction').css('font-size', size+'px' );
		$('.article *').css('font-size', size+'px' );
		$(".introduction,.article").css("visibility","visible");
	},
	removeArticle : function(){
		$(".article").remove();
	},
	/**
	 * [addCommentFunc 追加评论]
	 * @return {[type]} [description]
	 */	
	addCommentFunc : function(data){
		var _THIS = this;
		if(typeof data == 'string'){
			data = eval('(' + data + ')');
			// data = data.parseJSON();
			// data = JSON.parse(data);
		}
		if(data.result.errorCode == 0){

			$('.J-no-comment').remove();
			var _commentHTML = "";
			if($('.article-all-list').length<1){
				_commentHTML += "<div class='article-list article-all-list'><p class='article-class-title'>最新评论</p><ul class='article-comment'>";
			}
			_commentHTML += '<li class="article-comment-list clearfix">'+
								'<span class="article-comment-left J-user-btn" data-userId="'+data.data.user.user_id+'">'+
									'<img src="'+data.data.user.avatar+'">'+
								'</span>'+
								'<div class="article-comment-right J-comment-parents">'+
									'<div class="article-user-handle clearfix">'+
										'<p class="article-user-name"><span class="J-user-btn" data-userId="'+data.data.user.user_id+'">'+data.data.user.user_name+'</span></p>'+
										'<p class="article-user-time">'+data.data.date_time+'</p>'+
										'<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+data.data.id+'">'+
											'<em></em>'+
											'<span>'+data.data.like_num+'</span>'+
										'</a>'+
									'</div>'+
									'<div class="J-comment-handle">'+
										'<p class="article-comment-text J-comment-text J-comment" data-userName="'+data.data.user.user_name+'" data-id="'+data.data.id+'" data-replayCommentId="'+data.data.id+'" data-replyUserId="'+data.data.user.user_id+'" data-replyFloor="'+data.data.reply_floor+'">'+replaceFoldFunc(data.data.comment_content)+'</p>'+
										'<p class="article-comment-handle clearfix">'+
											'<a href="javascript:;" class="J-show-comment"></a>'+
										'</p>'+
									'</div>'+
								'</div>'+
							'</li>';
			if($('.article-all-list').length<1){
				_commentHTML += "</ul></div>";
				$('#article-container').append(_commentHTML);
			}else{
				$('.article-all-list .article-comment').prepend(_commentHTML);
			}
			// console.log(_commentHTML);
			_THIS.liveShowHideComment();			
			console.log('addCommentFunc');
		}
	},
	/**
	 * [radioFunc 单选框]
	 * @return {[type]} [description]
	 *  // J-radio-parent
		// J-radio-lable
		// J-vote-btn
	 */	
	radioFunc : function(){
		$(document).delegate('.J-radio-lable','click',function(){
			if(!$(this).hasClass('checked')){
				var _parent = $(this).parents('.J-radio-parent'),
					_btn = _parent.find('.J-vote-btn'),
					_id = $(this).attr('data-id');
				console.log(_id);
				$(this).addClass('checked').parent().siblings('.user-survey-list').find('.J-radio-lable').removeClass('checked');
				_btn.attr('data-id',_id);
			}
		});
	},
	/**
	 * [voteBridge 投票提交按钮]
	 * @return {[type]} [description]
	 *  // J-radio-parent
		// J-radio-lable
		// J-vote-btn
	 */	
	voteBridge : function(){
		$(document).delegate('.J-vote-btn','click',function(){
			var _id = $(this).attr('data-id');
			if(_id==""){
				showDialog("选项不能为空");
				return false;
			}
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {
				methodName: "nativeBridgeCallback['voteCallback']",
				_id: _id
			}
			console.log(toNativeData);
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['vote'](toNativeData);

		});
	},
	/**
	 * [packetBridge 红包按钮]
	 * @return {[type]} [description]
	 *  // J-article-packet
	 */	
	packetBridge : function(){
		$(document).delegate('.J-article-packet','click',function(){
			if(typeof nativeBridge == "undefined") return false;
			var toNativeData = {}
			toNativeData = JSON.stringify(toNativeData);
			nativeBridge['packet'](toNativeData);
		});
	},
	advertScrollMonitor : function(){
		var THIS = this;
		$(window).scroll(function(){
			var _scrollTop = $(this).scrollTop();
			var _windHeight = $(window).height();
			$('.J-article-advert').each(function(){
				var _offsetTop = $(this).offset().top,
					_outerHeight = $(this).outerHeight(),
					_id = JSON.parse($(this).attr('data-json')).id,
					_putId = JSON.parse($(this).attr('data-json'))["put_id"];
				// if( (_scrollTop > (_offsetTop + _outerHeight)) || ((_scrollTop + _windHeight) < _offsetTop) ){ //超出可视区
				if( (_scrollTop > _offsetTop ) || ((_scrollTop + _windHeight - _outerHeight) < _offsetTop) ){ //超出可视区
					if(THIS.advert[_id].length > 0){
						var _len = THIS.advert[_id].length;
						if(THIS.advert[_id][_len-1].start){
							THIS.advert[_id][_len-1].end = new Date().getTime();
						}
					}
				}else{	//在可视区内
					if(THIS.advert[_id].length > 0){
						var _len = THIS.advert[_id].length;
						if(THIS.advert[_id][_len-1].end){
							THIS.advert[_id].push({start:new Date().getTime(),end:null});
							// console.log('进入');
							// console.log('_id----'+_id);
							// console.log('_putId----'+_putId);
							THIS.advertMonitorBridge(_id,_putId);
						}
					}else{
						THIS.advert[_id].push({start:new Date().getTime(),end:null});
						// console.log('进入');
						// console.log('_id----'+_id);
						// console.log('_putId----'+_putId);
						THIS.advertMonitorBridge(_id,_putId);
					}
					// console.log(THIS.advert);
				}
			});
			// console.log(THIS.advert);
		});
	},
	/**
	 * [advertMonitorBridge 记录广告时长桥接]
	 * @return {[type]} [description]
	 */
	advertMonitorBridge : function(_id,_putId){
		if(typeof nativeBridge == "undefined") return false;
		var toNativeData = {
			methodName: "nativeBridgeCallback['advertMonitorCallback']",
			adv_id: _id,
			adv_put_id: _putId
		}
		console.log(toNativeData);
		toNativeData = JSON.stringify(toNativeData);
		nativeBridge['advertMonitor'](toNativeData);
	},
	addHotCommentFunc : function(data){
		var _THIS = this;
		if(typeof data == 'string'){
			data = eval('(' + data + ')');
			// data = data.parseJSON();
			// data = JSON.parse(data);
		}
		if(data.result.errorCode == 0){
			$(document.body).css("visibility","visible");
			var _commentHTML = "",
				_len=data.data.hots.length;
			if(_len > 0){	
				_commentHTML = "<div class='article-list article-hot-list'><p class='article-class-title'>热门评论</p><ul class='article-comment'>";
				for(var i=0;i<_len;i++){
					_commentHTML += '<li class="article-comment-list clearfix">'+
										'<span class="article-comment-left J-user-btn" data-userId="'+data.data.hots[i].user.user_id+'">'+
											'<img src="'+data.data.hots[i].user.avatar+'">'+
										'</span>'+
										'<div class="article-comment-right J-comment-parents">'+
											'<div class="article-user-handle clearfix">'+
												'<p class="article-user-name"><span class="J-user-btn" data-userId="'+data.data.hots[i].user.user_id+'">'+data.data.hots[i].user.user_name+'</span></p>'+
												'<p class="article-user-time">'+data.data.hots[i].date_time+'</p>';
					if(data.data.hots[i].is_like){
						_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+data.data.hots[i].id+'">';
					}else{
						_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+data.data.hots[i].id+'">';
					}
					_commentHTML += '<em></em>'+
									'<span>'+data.data.hots[i].like_num+'</span>'+
								'</a>'+
							'</div>'+
							'<div class="J-comment-handle">'+
								'<p class="article-comment-text J-comment-text J-comment" data-userName="'+data.data.hots[i].user.user_name+'" data-id="'+data.data.hots[i].id+'" data-replayCommentId="'+data.data.hots[i].id+'" data-replyUserId="'+data.data.hots[i].user.user_id+'" data-replyFloor="'+data.data.hots[i].reply_floor+'">'+replaceFoldFunc(data.data.hots[i].comment_content)+'</p>'+
								'<p class="article-comment-handle clearfix">'+
									'<a href="javascript:;" class="J-show-comment"></a>'+
								'</p>'+
							'</div>';

					var _replyObj=data.data.hots[i].reply_comment;
					var _replyLen=_replyObj.length;
					if(_replyLen>0){
						_commentHTML += '<ul class="article-reply">';
						for(var m=0;m<_replyLen;m++){
							var _replayFloor = _replyObj[m].reply_floor,
								_replayFloorHtml = '';
							if(_replayFloor && _replayFloor!='' && _replayFloor!=0){
								_replayFloorHtml = "回复&nbsp;"+_replayFloor+"楼</em>";
							}	
							// console.log(_replayFloorHtml);
							if(_replyLen > 3 && m >= 2 && m < _replyLen-1 ){
								if(m < _replyLen-2){
									_commentHTML += '<li class="article-reply-list c-hide">'+
														'<div class="article-user-handle">'+
															'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
															'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>';
								}else{
									_commentHTML += '<li class="article-reply-list c-hide">'+
														'<div class="article-user-handle">'+
															'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
															'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>'+
										'<li class="article-reply-more J-reply-more">展开全部'+(_replyLen-3)+'条回复</li>';
								}
							}else{
								_commentHTML += '<li class="article-reply-list">'+
													'<div class="article-user-handle">'+
														'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
														'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>';
							}
						}					
						_commentHTML += "</ul>";
						// console.log(_commentHTML);
					}
					_commentHTML += "</div></li>";
				}
				_commentHTML += "</ul></div>";
				$('#article-container').append(_commentHTML);
				// console.log(_commentHTML);
				_THIS.liveShowHideComment();	
			}	
			console.log('addHotCommentFunc');
		}
	},
	addNewCommentFunc : function(data){
		var _THIS = this;
		if(typeof data == 'string'){
			data = eval('(' + data + ')');
			// data = data.parseJSON();
			// data = JSON.parse(data);
		}
		if(data.result.errorCode == 0){
			$(document.body).css("visibility","visible");
			var _commentHTML = "",
				_len=data.data.new.length;
			if(_len > 0){	
				_commentHTML = "<div class='article-list article-all-list'><p class='article-class-title'>最新评论</p><ul class='article-comment'>";
				for(var i=0;i<_len;i++){
					_commentHTML += '<li class="article-comment-list clearfix">'+
										'<span class="article-comment-left J-user-btn" data-userId="'+data.data.new[i].user.user_id+'">'+
											'<img src="'+data.data.new[i].user.avatar+'">'+
										'</span>'+
										'<div class="article-comment-right J-comment-parents">'+
											'<div class="article-user-handle clearfix">'+
												'<p class="article-user-name"><span class="J-user-btn" data-userId="'+data.data.new[i].user.user_id+'">'+data.data.new[i].user.user_name+'</span></p>'+
												'<p class="article-user-time">'+data.data.new[i].date_time+'</p>';
					if(data.data.new[i].is_like){
						_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+data.data.new[i].id+'">';
					}else{
						_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+data.data.new[i].id+'">';
					}
					_commentHTML += '<em></em>'+
									'<span>'+data.data.new[i].like_num+'</span>'+
								'</a>'+
							'</div>'+
							'<div class="J-comment-handle">'+
								'<p class="article-comment-text J-comment-text J-comment" data-userName="'+data.data.new[i].user.user_name+'" data-id="'+data.data.new[i].id+'" data-replayCommentId="'+data.data.new[i].id+'" data-replyUserId="'+data.data.new[i].user.user_id+'" data-replyFloor="'+data.data.new[i].reply_floor+'">'+replaceFoldFunc(data.data.new[i].comment_content)+'</p>'+
								'<p class="article-comment-handle clearfix">'+
									'<a href="javascript:;" class="J-show-comment"></a>'+
								'</p>'+
							'</div>';

					var _replyObj=data.data.new[i].reply_comment;
					var _replyLen=_replyObj.length;
					if(_replyLen>0){
						_commentHTML += '<ul class="article-reply">';
						for(var m=0;m<_replyLen;m++){
							var _replayFloor = _replyObj[m].reply_floor,
								_replayFloorHtml = '';
							if(_replayFloor && _replayFloor!='' && _replayFloor!=0){
								_replayFloorHtml = "回复&nbsp;"+_replayFloor+"楼</em>";
							}	
							// console.log(_replayFloorHtml);
							if(_replyLen > 3 && m >= 2 && m < _replyLen-1 ){
								if(m < _replyLen-2){
									_commentHTML += '<li class="article-reply-list c-hide">'+
														'<div class="article-user-handle">'+
															'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
															'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>';
								}else{
									_commentHTML += '<li class="article-reply-list c-hide">'+
														'<div class="article-user-handle">'+
															'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
															'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>'+
										'<li class="article-reply-more J-reply-more">展开全部'+(_replyLen-3)+'条回复</li>';
								}
							}else{
								_commentHTML += '<li class="article-reply-list">'+
													'<div class="article-user-handle">'+
														'<p class="article-reply-floor">'+(m+1)+"楼&nbsp;"+_replayFloorHtml+'</p>'+
														'<p class="article-reply-title">'+_replyObj[m].user.user_name+'</p>';
									if(_replyObj[m].is_like){
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan zaned" data-id="'+_replyObj[m].id+'">';
									}else{
										_commentHTML += '<a href="javascript:;" class="article-zan J-comment-zan" data-id="'+_replyObj[m].id+'">';
									}
									_commentHTML += '<em></em>'+
													'<span>'+_replyObj[m].like_num+'</span>'+
												'</a>'+
											'</div>'+
											'<div class="J-comment-handle">'+
												'<p class="article-reply-text J-comment-text J-comment" data-userName="'+_replyObj[m].user.user_name+'" data-id="'+_replyObj[m].id+'" data-replayCommentId="'+_replyObj[m].id+'" data-replyUserId="'+_replyObj[m].user.user_id+'" data-replyFloor="'+(m+1)+'">'+replaceFoldFunc(_replyObj[m].comment_content)+'</p>'+
												'<p class="article-comment-handle clearfix">'+
													'<a href="javascript:;" class="J-show-comment"></a>'+
												'</p>'+
											'</div>'+
										'</li>';
							}
						}					
						_commentHTML += "</ul>";
						// console.log(_commentHTML);
					}
					_commentHTML += "</div></li>";
				}
				_commentHTML += "</ul></div>";
				$('#article-container').append(_commentHTML);
				// console.log(_commentHTML);
				_THIS.liveShowHideComment();	
			}else{
				_commentHTML = "<div class='article-list article-all-list'><p class='article-class-title'>最新评论</p><ul class='article-comment'></ul></div>"+
							   "<div class='article-comment-handle more-comment-btn J-no-comment'>"+
									"<span>暂无评论，快来抢沙发吧</span>"+
							   "</div>";
				$('#article-container').append(_commentHTML);
			}
			console.log('addNewCommentFunc');
		}
	}
	
}
$(function() {
	article.event();
});
/**
 * [setNigthFunc 夜间模式]
 * @return {[type]} [description]
 */
// function setNigthFunc(){
//     $('#article-container').addClass('article-container-night');
// }
/**
 * [refreshFunc 刷新数据]
 * @return {[type]} [description]
 */
function refreshFunc(){
    window.location.reload();
}
/**
* jQuery picLazyLoad Plugin
* 西门 http://ons.me/484.html
* 20160616 v1.0
*/
;(function($){
    $.fn.picLazyLoad = function(settings){
        var $this = $(this),
            _winScrollTop = 0,
            _winHeight = $(window).height();
            // _winHeight = $(document).height();

        settings = $.extend({
            threshold: 0, // 提前高度加载
            placeholder: 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAANSURBVBhXYzh8+PB/AAffA0nNPuCLAAAAAElFTkSuQmCC'
        }, settings||{});

        // 执行懒加载图片
        lazyLoadPic();

        // 滚动触发换图
        $(window).on('scroll',function(){
            _winScrollTop = $(window).scrollTop();
            lazyLoadPic();
        });

        // 懒加载图片
        function lazyLoadPic(){
            $this.each(function(){
                var $self = $(this);
                // 如果是img
                if($self.is('img')){
                    if($self.attr('data-echo')){
                    	$self.css('opacity',0);
                        var _offsetTop = $self.offset().top;
                        if((_offsetTop - settings.threshold) <= (_winHeight + _winScrollTop)){
                            $self.attr('src',$self.attr('data-echo'));
                            $self.animate({opacity:1},500);
                            $self.removeAttr('data-echo');
                        }
                    }
                // 如果是背景图
                }else{
                    if($self.attr('data-echo')){
                        // 默认占位图片
                        if($self.css('background-image') == 'none'){
                            $self.css('background-image','url('+settings.placeholder+')');
                        }
                        var _offsetTop = $self.offset().top;
                        if((_offsetTop - settings.threshold) <= (_winHeight + _winScrollTop)){
                            $self.css('background-image','url('+$self.attr('data-echo')+')');
                            $self.removeAttr('data-echo');
                        }
                    }
                }
            });
        }
    }
})(jQuery);
